Search

Get search analytics

Get search analytics including top queries, search volume, and performance metrics. Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.

AuthBearer (JWT)
GroupSearch
Rate limitSee Rate Limits
GET/api/search/projects/{projectId}/search/analytics

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, SearchApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const search = new SearchApi(configuration);
import { Configuration, SearchApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const search = new SearchApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await search.getSearchAnalytics("proj_m7Fb0EJcuisv");
const { data: result } = await search.getSearchAnalytics("proj_m7Fb0EJcuisv");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Query Parameters

NameTypeRequiredDescription
timeframestringNo

Responses

200Search analytics
json
{
  "totalSearches": 1250,
  "topQueries": [
    {
      "query": "john",
      "count": 45
    },
    {
      "query": "user",
      "count": 32
    }
  ],
  "searchesByCollection": {
    "users": 800,
    "products": 450
  },
  "averageResponseTime": 45.2
}
{
  "totalSearches": 1250,
  "topQueries": [
    {
      "query": "john",
      "count": 45
    },
    {
      "query": "user",
      "count": 32
    }
  ],
  "searchesByCollection": {
    "users": 800,
    "products": 450
  },
  "averageResponseTime": 45.2
}
Edit this page on GitHub